Your Browsing History
- In Stock
- Sold by Newegg
- New
Any questions? Our AI mode will help you find out quickly.
Try me now

Quick View
Hair Clippers for Men Professional - Cordless&Corded Barber Clippers for Hair Cutting & Grooming Rechargeable Beard Trimmer
- Brand: Haokry
- Series: P-8900
- Part Number: 1
- Type: Hair Clipper
- Model #: 259775831544
- $39.99 –
- Free Shipping

Quick View
Cordless Hair Clippers for Men, Hair/Beard Trimmer Hair Cutting Kit
- Model #: 241216319759
- $72.99 –
- Free Shipping

Quick View
Upgraded Head Shaver for Bald MenMagnetic Electric Razor Hair Trimmer for MenLarge Battery Capacity, Rechargeable LED Display Waterproof Wet/Dry Head Shavers with Type-C Charge
- Brand: Solimpia
- Series: FK-8750
- Part Number: FK-8750
- Type: Rotary
- Model #: 625775027689
- $39.99 –
- Free Shipping

Quick View
Beard Trimmer for Men, Cordless 18-in-1 Electric Razor & Hair Clipper,Gifts
- Brand: RICAF
- Series: TC-022
- Part Number: TC-022
- Features: Stainless Steel, Battery Powered, 6.5*1.6*1.6‘’, true
- Model #: 812658674427
- $46.99 –
- Free Shipping

Quick View
5PCS 2-in-1 Nasal Hair Cutter, Double-Sided Nose Hair Trimmer Upgrade, Manual Nose Trimmer Portable with Soft Cleaning Brush for Women and Men (Gray)
- Brand: Northwest
- Part Number: FSED31
- Features: Manual, no charging required, Nose, Manual
- Number of Heads: 5
- Model #: 476398165982
- $22.99 –
- Free Shipping

Quick View
Electric Body Hair Trimmer - Groin Trimmer for Men - Bikini Trimmer Women - Wet/Dry Shaver Groomer, Replaceable Ceramic Blade Heads, USB Recharge Dock, Waterproof Hygiene Razor,Black
- Brand: OLOV
- Series: YP-7032
- Part Number: BG-B
- Type: YP-7032
- Model #: 555922211618
- $59.99 –
- Free Shipping

Quick View
Beard Trimmer for Men, Waterproof Hair Trimmer Electric Razor, Cordless Hair Clippers Shavers for Men, Shaving Kit for Nose Mustache Body Facial, Beard Grooming Kit 7 in 1
- Brand: Hatteker
- Series: HT-6178
- Part Number: 6178
- Type: HT-6178
- Model #: 708492954162
- $49.99 –
- Free Shipping

Quick View
Hair Clippers Set for Men, Hair Clipper Trimmer with LED Display, Professional Cordless Hair Clipper Shaver Beard Trimmer, Hair Cutting Machine for Men, Holiday Gift for Him Father's Day Gift
- Brand: LQT
- Series: LQT
- Part Number: LQT
- Features: Stainless Steel, Battery Powered, true
- Model #: 957584826935
- $86.99 –
- Free Shipping

Quick View
Hair Clippers for Men, Clippers and Trimmers Set, Barber Clippers, Electric Hair Trimmer with Box, Gifts for Men White
- Brand: GTS PRO
- Series: Gts Pro Travel Professional
- Part Number: 01
- Features: Stainless Steel, Battery Powered, false
- Model #: 960984493716
- $59.99 –
- Free Shipping

Quick View
Electric Beard Trimmer for Men,Nose Hair Trimmer & Men's Electric Razor 10-in-1 Grooming Kit Cordless Shaver Gift-Ready for Men(Black)
- Brand: OLOV LITE
- Series: RFC-3002
- Part Number: RFC-3002
- Type: RFC-3002
- Model #: 669664600010
- $37.99 –
- Free Shipping

Quick View
Mens Hair Clippers and Trimmers Set, Cordless Barber Haircut Kit | Professional Clippers for Hair Cutting Kit, Rechargeable USB Adjustable Beard & Hair Trimmer for Men DIY Home Salon (Black)
- Brand: CIICII
- Series: Hair Clippers and Trimmers Set
- Part Number: C1987
- Type: Hair Clippers and Trimmers Set
- Model #: 414546940036
- $51.99 –
- Free Shipping

Quick View
Electric Beard Trimmer for Men,Nose Hair Trimmer & Men's Electric Razor 10-in-1 Grooming Kit Cordless Shaver Gift-Ready for Men(Black)
- Brand: OLOV LITE
- Series: RFC-3002
- Part Number: RFC-3002
- Type: RFC-3002
- Model #: 787342572053
- $37.99 –
- Free Shipping

Quick View
Hair Clippers for Men Professional, Cordless Clipper and Trimmer Set | 7000RPM Grooming Kit with EVA Case, LED display, 14 Guide Combs (including Right & Left Ear Taper Combs), Nose Trimmer Head
- Brand: VGRPRO
- Part Number: V-007 V-109
- Features: Metal, Battery Powered, true
- Number of Heads: VGRPRO Hair Clippers for Men Professional Grooming Kit
- Model #: 012167286647
- $92.99 –
- Free Shipping

Quick View
Mens Body Hair Beard Trimmer Groin Trimmer Mens Grooming Kit Electric Razor Body Shaver Groomer Waterproof 6 in 1
- Brand: Hatteker
- Series: RFC-588
- Part Number: RFC-588
- Type: Body Trimmer
- Model #: 000411519867
- $45.99 –
- Free Shipping

Quick View
Nose Hair Trimmer for Men,2026 Professional 3 in 1 Painless RechargeableEar and Nose Trimmer,IPX7 Waterproof Eyebrow Facial Hair Trimmer Body Grooming Kit Dual EdgeBlades
- Brand: Northwest
- Part Number: C330
- Type: Standard
- Features: Corded Electric
- Model #: 708631797097
- $35.99 –
- More options from $35.99
- Free Shipping

Quick View
TrimNinja All in One Hybrid Electric Razor & Beard Trimmer for Men | All Body Electric Shaver, Hair Trimmer, Precision Detail Trimmer, Beard Body Ear & Nose Hair Trimmer For Men - Model 3030115
- Brand: WAHL
- Series: TrimNinja
- Part Number: 3030115
- Type: Foil/Trimmer
- Model #: 198160060312
- $78.99 –
- Free Shipping

Quick View
Hair Clippers for Men Barber Clippers Rechargeable Hair Trimmer Kit
- Brand: TCMKY
- Series: TCMKY Hair Clippers
- Part Number: TX768
- Type: TCMKY Hair Clippers
- Model #: 997139654716
- $45.99 –
- Free Shipping

Quick View
Professional Hair Clippers for Men, Cordless Barber Clippers with Precision Trimmer and Dual Foil Shaver,LED Display, Electric Hair Cutting Machine, Mens Grooming Kit, Gift for Him
- Brand: LQT
- Series: LQTC101e-LQTT101e-LQT620d-3
- Part Number: LQTC101e-LQTT101e-LQT620d-3
- Type: 4 guide combs for the clippers, 4 guide combs for the T-blade trimmer, a barber cape, 3 cleaning brushes, a barber's comb, 3 USB charging cables
- Model #: 900258395921
- $85.99 –
- Free Shipping

Quick View
Beard Trimmer Kit Professional Hair Clipper Zero Gapped T-Blade Electric Shaver Razor Nose Body Trimmer for Men Cordless Grooming Kit 7 in 1
- Brand: Scttomon
- Series: RFC-5618
- Part Number: 561807
- Type: Hair Clipper
- Model #: 214582619574
- $55.99 –
- Free Shipping

Quick View
Manscape Body Hair Trimmer for Men, No Nick Pubic Bikini Trimmer for Women, 3 in 1 Versatile Groin Shaver with Nose Hair Trimmer, Cordless Dock Charging, LED Display, Wet/Dry Grommer (Purple)
- Brand: TEENOVA
- Series: Mentrimmer
- Part Number: T-X4
- Type: Mentrimmer
- Model #: 409957670106
- $28.99 –
- Free Shipping

Quick View
5Pcs 2-in-1 Nasal Hair Cutter, Double Sided Nose Hair Cutter, Portable 360° Rotating Manual Nose Hair Trimmer for Men and Women, Mint Green
- Brand: Northwest
- Part Number: nosehairtrimmer02
- Type: Standard
- Features: Ergonomic, Nose hair trimming, Manual
- Model #: 841517228657
- $22.99 –
- Free Shipping

Quick View
TrimNinja All in One Hybrid Electric Razor & Beard Trimmer for Men | All Body Electric Shaver, Hair Trimmer, Precision Detail Trimmer, Beard Body Ear & Nose Hair Trimmer For Men - Model 3030115
- Brand: WAHL
- Series: TrimNinja
- Part Number: 3030115
- Type: Foil/Trimmer
- Model #: 656763222524
- $78.99 –
- Free Shipping

Quick View
Beard Trimmer for Men Includes Nose and Ear Hair Trimmer and 5-Position Comb Attachment, 4 piece Men's Grooming Kit, Corded
- Brand: CONAIR
- Part Number: GMT8NCS
- Features: Beard & stache, Electric
- Number of Heads: True
- Model #: 365471346730
- $37.99 –
- Free Shipping

Quick View
4-en-1 Electric Razor for Men, 9999 RPM High-Speed Electric Shaver with LED Display, 1H Fast Charging, IPX7 Waterproof Razor with Nose Hair Trimmer, Facial Cleansing Brush
- Brand: FLOSSY
- Series: 9000 Series
- Part Number: TXD4
- Type: Rotary
- Model #: 514244222661
- $88.99 –
- Free Shipping

Quick View
Ball Shaver for Men, 3-in-1 Multifunction Body Hair Trimmer & Pubic Shaver with Titanium Blades (No Nicks!), IPX7 Waterproof Electric Razor, LED Display, Wet/Dry
Limited time offer, ends 10/16
- Brand: Northwest
- Part Number: 2018MEN
- Type: Standard
- Features: Cordless, Body Hair Grooming, Battery Powered
- Model #: 327385844888
- $36.58 –
- Free Shipping

Quick View
5Pcs 2-in-1 Nasal Hair Cutter, Double Sided Nose Hair Cutter, Portable 360° Rotating Manual Nose Hair Trimmer for Men and Women, Colorful
- Brand: Northwest
- Part Number: nosehairtrimmer123
- Type: Standard
- Features: Ergonomic, Vagus nerve, Manual
- Model #: 539521021672
- $22.99 –
- Free Shipping

Quick View
Hair Clipper for Men Professional Cordless Clipper & Trimmers Set | 7500RPM Powerful Motor & LCD Display, Mens Cordless Hair Grooming Kit Barbers Haircut, Gift for Birthday Christmas
- Brand: piceve
- Part Number: PE-HC-GRAY-01
- Features: Facial Hair, Head Hair, Battery Powered
- Number of Heads: Multigroomer
- Model #: 977645548989
- $97.99 –
- More options from $97.99 - $107.69
- Free Shipping

Quick View
Nose Hair Trimmer for Men, Ear and Nose Trimmer for Men, USB-C Rechargeable, 6500 RPM Painless, 40 Days Use, Nose Hair Trimmer for Women, Dual-Edge Blades, Low Noise, Gift for Men & Women
- Brand: Northwest
- Part Number: 3
- Type: Standard
- Features: 1. Advanced Soft-Touch Coating; 2. Powerful 6500 RPM Motor & Painless Cutting; 3. Precision Engineering & Ultra-Quiet Operation; 4. Long-Lasting Battery with USB-C Convenience; 5. Brand New Guarantee-Elegant Gift-Ready Packaging, Battery Powered
- Model #: 402239735672
- $26.99 –
- Free Shipping

Quick View
Series 5 All-in-One Beard & Body Grooming Kit for Men, Cordless Trimmer, Hair Clippers & Shaver for Face, Hair & Body with Smooth Shave Head, AIO 5510
- Brand: Northwest
- Part Number: P_13506
- Features: Waterproof, Beard, Hair, Ears, Nose, Body, Battery Powered
- Power Source: Battery Powered
- Model #: 536856722648
- $74.99 –
- Free Shipping

Quick View
Manscape Body Hair Trimmer - Waterproof Pubic Hair Ball Trimmer, Ceramic Blade Shavers Electric Razors for Men with USB-C Charging, Wet/Dry Use, Nick-Free Mens Grooming Kits, Gifts for Men
- Brand: PRITECH
- Series: Waterproof Pubic Hair Trimmer
- Part Number: TGEU-PR-3233-Parent
- Features: Ceramic, Battery Powered, true
- Model #: 720697089392
- $39.99 –
- Free Shipping

Quick View
5Pcs 2-in-1 Nasal Hair Cutter, 2026 New Double Sided Nose Hair Cutter, Portable 360° Rotating Manual Nose Hair Trimmer for Men and Women, Colorful
- Brand: Northwest
- Series: PowerTouch
- Part Number: Wulthus
- Type: Standard
- Model #: 703434517991
- $22.99 –
- Free Shipping

Quick View
Manual Nose Hair Trimmer, Nostril Hair Remover, Portable Travel Home Daily Use Essentials with Ear Pick for Men & Women (6pcs)
- Brand: Northwest
- Part Number: nose001
- Features: Travel Size, Nose hair trimming, ear cleaning, NO
- Color: Black
- Model #: 256871215611
- $15.99 –
- Free Shipping

Quick View
Hair Clippers for Men Set Professional, Cordless Men Hair Trimmer, Electric Shavers, Barber kit, 4 in 1,LED Display, for Nose, Body, Bald Head
- Model #: 592925690648
- $88.99 –
- Free Shipping


